org.eclipse.e4.ui.model.application.ui.basic

## Interface MWizardDialog

All Superinterfaces:
  MApplicationElement, MBindings, MContext, MDialog, MElementContainer<MWindowElement>, MHandlerContainer, MLocalizable, MSnippetContainer, MUIElement, MUILabel, MWindow

    public interface MWizardDialog
    extends MDialog

A representation of the model object 'Wizard Dialog'.

A subclass of Window representing a wizard dialog.

Since:
  1.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This model element is still provisional.

### Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.basic.MWindow

`getHeight, getMainMenu, getSharedElements, getWidth, getWindows, getX, getY, setHeight, setMainMenu, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MContext

`getContext, getProperties, getVariables, setContext`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MHandlerContainer

`getHandlers`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MBindings

`getBindingContexts`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MSnippetContainer

`getSnippets`